VkDeviceCreateInfo Struct Reference

`#include <vulkan.h>`

Collaboration diagram for VkDeviceCreateInfo:
[legend]

## Data Fields

VkStructureType | sType
const void * | pNext
VkDeviceCreateFlags | flags
uint32_t | queueCreateInfoCount
const VkDeviceQueueCreateInfo * | pQueueCreateInfos
uint32_t | enabledLayerCount
const char *const * | ppEnabledLayerNames
uint32_t | enabledExtensionCount
const char *const * | ppEnabledExtensionNames
const VkPhysicalDeviceFeatures * | pEnabledFeatures

## Detailed Description

Definition at line 1669 of file vulkan.h.

## Field Documentation

## enabledExtensionCount

uint32_t VkDeviceCreateInfo::enabledExtensionCount

Definition at line 1677 of file vulkan.h.

Referenced by createDevice().

## enabledLayerCount

uint32_t VkDeviceCreateInfo::enabledLayerCount

Definition at line 1675 of file vulkan.h.

## flags

VkDeviceCreateFlags VkDeviceCreateInfo::flags

Definition at line 1672 of file vulkan.h.

## pEnabledFeatures

const VkPhysicalDeviceFeatures* VkDeviceCreateInfo::pEnabledFeatures

Definition at line 1679 of file vulkan.h.

Referenced by createDevice().

## pNext

const void* VkDeviceCreateInfo::pNext

Definition at line 1671 of file vulkan.h.

## ppEnabledExtensionNames

const char* const* VkDeviceCreateInfo::ppEnabledExtensionNames

Definition at line 1678 of file vulkan.h.

Referenced by createDevice().

## ppEnabledLayerNames

const char* const* VkDeviceCreateInfo::ppEnabledLayerNames

Definition at line 1676 of file vulkan.h.

## pQueueCreateInfos

const VkDeviceQueueCreateInfo* VkDeviceCreateInfo::pQueueCreateInfos

Definition at line 1674 of file vulkan.h.

Referenced by createDevice().

## queueCreateInfoCount

uint32_t VkDeviceCreateInfo::queueCreateInfoCount

Definition at line 1673 of file vulkan.h.

Referenced by createDevice().

## sType

VkStructureType VkDeviceCreateInfo::sType

Definition at line 1670 of file vulkan.h.

Referenced by createDevice().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h